# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KColorCombo Class Reference

Combobox for colors. More...

`#include <kcolorcombo.h>`

Inheritance diagram for KColorCombo:

[legend]
Collaboration diagram for KColorCombo:

[legend]
List of all members.

## Signals

void | activated (const QColor &col)
void | highlighted (const QColor &col)

## Public Member Functions

| KColorCombo (QWidget *parent, const char *name=0L)
void | setColor (const QColor &col)
QColor | color () const
void | showEmptyList ()

## Protected Member Functions

virtual void | resizeEvent (QResizeEvent *re)
virtual void | virtual_hook (int id, void *data)

## Properties

QColor | color

## Detailed Description

Combobox for colors.

Definition at line 39 of file kcolorcombo.h.

## Constructor & Destructor Documentation

KColorCombo::KColorCombo | ( | QWidget * | parent,
|  | const char * | name = `0L`
| ) |

| Constructs a color combo box. Definition at line 111 of file kcolorcombo.cpp. References activated(), highlighted(), and QColor::setRgb().

## Member Function Documentation

void KColorCombo::setColor | ( | const QColor & | col | ) |

| Selects the color `col`. Definition at line 136 of file kcolorcombo.cpp.

QColor KColorCombo::color | ( |  | ) | const

| Returns the currently selected color.

void KColorCombo::showEmptyList | ( |  | ) |

| Clear the color list and don't show it, till the next setColor() call. Definition at line 161 of file kcolorcombo.cpp.

void KColorCombo::activated | ( | const QColor & | col | ) | `[signal]`

| Emitted when a new color box has been selected. Referenced by KColorCombo().

void KColorCombo::highlighted | ( | const QColor & | col | ) | `[signal]`

| Emitted when a new item has been highlighted. Referenced by KColorCombo().

## Property Documentation

QColor KColorCombo::color`[read, write]`

| Returns the currently selected color. Definition at line 42 of file kcolorcombo.h.

The documentation for this class was generated from the following files:

- kcolorcombo.h
- kcolorcombo.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:20:44 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003